Dashel Namespace Reference

Dashel, a cross-platform stream abstraction library. More...

## Classes

class | DashelException
| The one size fits all exception for streams. More...
class | Hub
| The central place where to create, destroy, and synchronize streams. More...
class | IPV4Address
| A IP version 4 address. More...
class | PacketStream
| A data stream, that can be later send data as at UDP packet or read data from an UDP packet. More...
class | ParameterSet
| Parameter set. More...
class | SerialPortEnumerator
| Serial port enumerator class. More...
class | Stream
| A data stream, with low-level (not-endian safe) read/write functions. More...
struct | StreamTypeRegistry
| Registry of constructors to a stream, to add new stream types dynamically. More...

## Functions

template<typename C >
Stream * | createInstance (const std::string &target, const Hub &hub)
| Create an instance of stream type C, passing target to its constructor.
template<typename C >
Stream * | createInstanceWithHub (const std::string &target, const Hub &hub)
| Create an instance of stream type C, passing target to its constructor.

## Variables

StreamTypeRegistry | streamTypeRegistry
| The registry of all known stream types.

## Detailed Description

Dashel, a cross-platform stream abstraction library.